#ifndef HASHING_H_
#define HASHING_H_

#include <sys/time.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "ListaEncadeada.h"

void lerPalavra(char *palavra, int tam);
TipoIndice hZobrist(TipoChave chave, TipoPesos p);
void gerarPesosHZ(TipoPesos p);
void imprime(TipoDicionario dicionario);
TipoApontador pesquisa(TipoChave chave, TipoPesos pesos, TipoDicionario dicionario);
void retiraHash(TipoItem item, TipoPesos pesos, TipoDicionario dicionario);
void inicializa(TipoDicionario dicionario);
void insereHash(TipoItem item, TipoPesos pesos, TipoDicionario dicionario);



#endif //HASHING_H_
