#include "ListaEncadeada.h"

void criaListaVazia(TipoLista *lista)
{
    lista->primeiro = (TipoCelula *) malloc(sizeof(TipoCelula));
    lista->ultimo = lista->primeiro;
}

int vazia(TipoLista lista)
{
    return(lista.primeiro == lista.ultimo);
}

void insereLista(TipoItem item, TipoLista *lista)
{
    lista->ultimo->prox = (TipoCelula*) malloc(sizeof(TipoCelula));
    lista->ultimo = lista->ultimo->prox;
    lista->ultimo->item = item;
    lista->ultimo->prox = NULL;
}

void retiraLista(TipoApontador apontador, TipoLista *lista, TipoItem *item)
{
    TipoApontador aux;
    if(vazia(*lista) || apontador == NULL || apontador->prox == NULL)
    {
        printf("Erro: lista vazia ou posicao nao existe\n");
        return;
    }
    aux = apontador->prox;
    *item = aux->item;
    apontador->prox = aux->prox;
    if(apontador->prox == NULL)
        lista->ultimo = apontador;
    free(aux);
}

void imprimeLista(TipoLista lista)
{
    TipoApontador aux;
    aux = lista.primeiro->prox;
    while(aux!=NULL)
    {
        printf("%.*s ", N, aux->item.chave);
        aux = aux->prox;
    }
}
