#ifndef LISTA_ENCADEADA_H_
#define LISTA_ENCADEADA_H_

#include <stdio.h>
#include <stdlib.h>

#define INICIOARRANJO 1
#define N 7
#define M 7
#define TAMALFABETO 256
typedef unsigned TipoPesos[N][TAMALFABETO];
typedef char TipoChave[N];
typedef struct TipoItem
{
    TipoChave chave;
    //Quaisquer outros dados
} TipoItem;

typedef unsigned int TipoIndice;
typedef struct TipoCelula* TipoApontador;
typedef struct TipoCelula
{
    TipoItem item;
    TipoApontador prox;
} TipoCelula;

typedef struct TipoLista
{
    TipoCelula *primeiro, *ultimo;
} TipoLista;

typedef TipoLista TipoDicionario[M];

void criaListaVazia(TipoLista *lista);
int vazia(TipoLista lista);
void insereLista(TipoItem item, TipoLista *lista);
void retiraLista( TipoApontador apontador, TipoLista *lista, TipoItem *item);
void imprimeLista(TipoLista lista);

























#endif //LISTA_ENCADEADA_H_
